

//partie de sauvegarde du site en cache, ici c'est l'enregistrement et le scope.

if ('serviceWorker' in navigator) {//check browser support
  navigator.serviceWorker.register('/service-worker.js')//enregistrement du worker
  .then(function(registration) {
    console.log('Registration successful, scope is:', registration.scope);//log du service worker
  })//scope = fichiers que le worker contrôle
  .catch(function(error) {
    console.log('Service worker registration failed, error:', error);
  });
}

navigator.serviceWorker.register('/service-worker.js', {
  //le scope est la range donc le service worker a autorité dessus
  scope: '/app/'
});

//après on passe à l'installation 